| GNSS data to OSM format processor and track finder author: Jaroslav Pizur

- Main Page
- Packages
- Files

- Packages
- Package Functions

Functions
patternfinding_functions Namespace Reference

This file provides functions used to find bus line patterns. More...

## Functions
def | progressbar (it, prefix="", size=60, file=sys.stdout)
| Function works as a progressbar in other functions running cycles. More...
def | myratio_calc (list1, list2)
| Alternative to ratio provided by gestalt or levenstein algorithms. More...
def | gestalt8 (tuple_nodes, range_from, range_to)
def | levenshtein3 (tuple_nodes, range_from, range_to)
def | manual_trackfinder3 (tuple_nodes, range_from, range_to)
def | gestalt1 (tuple_nodes, range_from, range_to)
def | levenshtein1 (tuple_nodes, range_from, range_to)
def | manual_trackfinder1 (tuple_nodes, range_from, range_to)
def | gestalt2 (tuple_nodes, range_from, range_to)
def | levenshtein2 (tuple_nodes, range_from, range_to)
def | manual_trackfinder2 (tuple_nodes, range_from, range_to)
def | gestalt4 (tuple_nodes, range_from, range_to)
def | gestalt5 (tuple_nodes, range_from, range_to)
def | gestalt6 (tuple_nodes, range_from, range_to)
| Function finds repeating pattern of length range_from to range_to. More...
def | gestalt7 (tuple_nodes, range_from, range_to)
def | levenshtein5 (tuple_nodes, range_from, range_to)

## Detailed Description

This file provides functions used to find bus line patterns.

## Function Documentation

## ◆ gestalt1()

def patternfinding_functions.gestalt1 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ gestalt2()

def patternfinding_functions.gestalt2 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ gestalt4()

def patternfinding_functions.gestalt4 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ gestalt5()

def patternfinding_functions.gestalt5 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ gestalt6()

def patternfinding_functions.gestalt6 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

Function finds repeating pattern of length range_from to range_to.

by crawling through tuple_nodes. It returns information about the position of tracks in tuple_nodes that are similar. Similarity is decided by the minimum ratio (ratio_SM).

Parameters

  tuple_nodes | File with repeating patterns in itself. Implemented with its elements as tuples. range_from, range_to – Determines the length of seeked repeating
  pattern. |
  ratio_SM | Determines the minimal accuracy for detecting the repeating pattern.

## ◆ gestalt7()

def patternfinding_functions.gestalt7 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ gestalt8()

def patternfinding_functions.gestalt8 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ levenshtein1()

def patternfinding_functions.levenshtein1 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ levenshtein2()

def patternfinding_functions.levenshtein2 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ levenshtein3()

def patternfinding_functions.levenshtein3 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ levenshtein5()

def patternfinding_functions.levenshtein5 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ manual_trackfinder1()

def patternfinding_functions.manual_trackfinder1 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ manual_trackfinder2()

def patternfinding_functions.manual_trackfinder2 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ manual_trackfinder3()

def patternfinding_functions.manual_trackfinder3 | ( |  | tuple_nodes,
|  |  | range_from,
|  |  | range_to
| ) |  |

## ◆ myratio_calc()

def patternfinding_functions.myratio_calc | ( |  | list1,
|  |  | list2
| ) |  |

Alternative to ratio provided by gestalt or levenstein algorithms.

## ◆ progressbar()

def patternfinding_functions.progressbar | ( |  | it,
|  |  | prefix = `""`,
|  |  | size = `60`,
|  |  | file = `sys.stdout`
| ) |  |

Function works as a progressbar in other functions running cycles.